%global momorel 2
%global pyver 2.6

Summary: D-BUS message bus python
Name: dbus-python
Version: 0.83.1
Release: %{momorel}m%{?dist}
URL: http://www.freedesktop.org/Software/dbus
Source0: http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0

# https://bugs.freedesktop.org/attachment.cgi?id=24788
Patch0: dbus-python-0.83.0-upstream.patch

License: "AFL/GPL"
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: python >= %{pyver}
BuildRequires: dbus-devel >= 1.0.2
BuildRequires: dbus-glib-devel >= 0.74

%description
A core concept of the D-BUS implementation is that "libdbus" is
intended to be a low-level API, similar to Xlib. Most programmers are
intended to use the bindings to GLib, Qt, Python, Mono, Java, or
whatever. These bindings have varying levels of completeness.

%package devel
Summary: dbus-python devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
dbus-python-devel

%prep
%setup -q 
%patch0 -p1 -b .id_24788

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
/usr/lib/python%{pyver}/site-packages/dbus
%{_libdir}/python%{pyver}/site-packages/_dbus_bindings.so
%{_libdir}/python%{pyver}/site-packages/_dbus_bindings.la
%{_libdir}/python%{pyver}/site-packages/_dbus_glib_bindings.so
%{_libdir}/python%{pyver}/site-packages/_dbus_glib_bindings.la
/usr/lib/python%{pyver}/site-packages/dbus_bindings.py*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/dbus-1.0/dbus/%{name}.h
%{_datadir}/doc/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.83.1-2m)
- full rebuild for mo7 release

* Thu Jul  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.83.1-1m)
- update to 0.83.1

* Wed May 12 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.83.0-6m)
- add patch0 Bug 21172 https://bugs.freedesktop.org/show_bug.cgi?id=21172

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.83.0-5m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.83.0-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.83.0-2m)
- rebuild against python-2.6.1-1m

* Fri Sep  5 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.83.0-1m)
- update 0.83.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.82.4-2m)
- rebuild against gcc43

* Sun Feb 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.82.4-1m)
- update 0.82.4

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.82.3-2m)
- %%NoSource -> NoSource

* Tue Oct 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.82.3-1m)
- update to 0.82.3

* Fri Jun 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.81.1-1m)
- update to 0.81.1

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.2-1m)
- update to 0.80.2

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-2m)
- delete pyc pyo

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-1m)
- update to 0.80.1

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.71-2m)
- rebuild against python-2.5

* Thu Aug 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-1m)
- initila build
